CRM Communications
Update a communication
PATCH
/
crm
/
communications
/
{id}
Update a communication
curl --request PATCH \
--url https://api.example.com/crm/communications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"durationSeconds": 1,
"occurredAt": "<string>"
}
'import requests
url = "https://api.example.com/crm/communications/{id}"
payload = {
"subject": "<string>",
"body": "<string>",
"durationSeconds": 1,
"occurredAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
durationSeconds: 1,
occurredAt: '<string>'
})
};
fetch('https://api.example.com/crm/communications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "call",
"direction": "inbound",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"durationSeconds": 123,
"outcome": "connected",
"externalId": "<string>",
"dealId": "<string>",
"contactId": "<string>",
"crmCompanyId": "<string>",
"loggedById": "<string>",
"loggedByName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Path Parameters
Body
application/json
Available options:
call, email, sms, whatsapp Available options:
inbound, outbound Subject line (for emails)
Body/notes about the communication
Duration in seconds (for calls)
Required range:
x >= 0Outcome (for calls)
Available options:
connected, voicemail, no_answer, busy When the communication occurred
Response
Available options:
call, email, sms, whatsapp Available options:
inbound, outbound Available options:
connected, voicemail, no_answer, busy ⌘I
Update a communication
